# Get Tickers

### Description

Retrieve the latest aggregated pricing and volume information for a specific ticker symbol.&#x20;

{% hint style="warning" %}
Only USD quotes are supported for now
{% endhint %}

### **URL**

```bash
GET https://pricing.aleno.ai/v1/assets/ticker?symbol={symbol}
```

### **Headers**

```http
x-api-key: your-api-key
```

### **Query Parameters**

| Name   | Type   | Required | Description                                                |
| ------ | ------ | -------- | ---------------------------------------------------------- |
| symbol | string | Yes      | The asset pair in `BASE/QUOTE` format. Example: `WBTC/USD` |

### **Response**

Returns a [ticker ](https://docs.aleno.ai/apis/rest-v1/assets/pages/lip9iO15MXczc0On422A#id-2.-ticker)object with pricing data aggregated from centralized (CEX) and decentralized (DEX) sources.

#### **Example Response**

```json
{
  "data": {
    "id": "WBTC/USD",
    "aggregated": {
      "price": 87107.08029830185,
      "h24UsdVolume": 295895764.524683
    },
    "cex": {
      "price": 87095.0654483101,
      "h24UsdVolume": 18124441.389037095
    },
    "dex": {
      "price": 87107.86426131867,
      "h24UsdVolume": 277771323.1356459,
      "usdTvl": 695400833.3529233
    }
  }
}
```

### Errors

* `400` Invalid `symbol` format. Expected `BASE/QUOTE` (example: `WBTC/USD`).
* `401` Missing API key (`x-api-key` header).
* `403` Invalid API key.
* `404` Ticker not found.
* `429` Rate limit exceeded for this route and API key.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aleno.ai/apis/rest-v1/assets/get-tickers.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
